Package org.oasis_open.docs.ws_calendar.ns.soap

# Class ComponentsSelectionType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.ComponentsSelectionType

public class ComponentsSelectionType extends Object
Used to contain updates to components. These updates are: zero or more of selections of sub-components to update zero or more additions or removals of components Removals MUST be processed ahead of additions.

Java class for ComponentsSelectionType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ComponentsSelectionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="component" type="{http://docs.oasis-open.org/ws-calendar/ns/soap}ComponentSelectionType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="remove" type="{http://docs.oasis-open.org/ws-calendar/ns/soap}ComponentReferenceType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="add" type="{http://docs.oasis-open.org/ws-calendar/ns/soap}ComponentReferenceType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<ComponentReferenceType>`
  `add`
  `protected List<ComponentSelectionType>`
  `component`
  `protected List<ComponentReferenceType>`
  `remove`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ComponentsSelectionType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ComponentReferenceType>`
  `getAdd()`
  Gets the value of the add property.
  `List<ComponentSelectionType>`
  `getComponent()`
  Gets the value of the component property.
  `List<ComponentReferenceType>`
  `getRemove()`
  Gets the value of the remove property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### component

    protected List<ComponentSelectionType> component

  - ### remove

    protected List<ComponentReferenceType> remove

  - ### add

    protected List<ComponentReferenceType> add

- ## Constructor Details

  - ### ComponentsSelectionType

    public ComponentsSelectionType()

- ## Method Details

  - ### getComponent

    public List<ComponentSelectionType> getComponent()
    Gets the value of the component property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the component property.

    For example, to add a new item, do as follows:

            getComponent().add(newItem);

    Objects of the following type(s) are allowed in the list `ComponentSelectionType`

  - ### getRemove

    public List<ComponentReferenceType> getRemove()
    Gets the value of the remove property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the remove property.

    For example, to add a new item, do as follows:

            getRemove().add(newItem);

    Objects of the following type(s) are allowed in the list `ComponentReferenceType`

  - ### getAdd

    public List<ComponentReferenceType> getAdd()
    Gets the value of the add property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the add property.

    For example, to add a new item, do as follows:

            getAdd().add(newItem);

    Objects of the following type(s) are allowed in the list `ComponentReferenceType`